aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore2
-rw-r--r--build-site.el1
-rwxr-xr-xbuild.sh3
-rw-r--r--head.html4
-rwxr-xr-xpost.sh8
5 files changed, 14 insertions, 4 deletions
diff --git a/.gitignore b/.gitignore
index cf9953f..d3ab0a8 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,4 @@
# autogenerated sitemap
/src/blog/index.org
-
+API_KEY
/public/
diff --git a/build-site.el b/build-site.el
index cbbb41d..303bd14 100644
--- a/build-site.el
+++ b/build-site.el
@@ -40,6 +40,7 @@
:publishing-directory "./public/blog"
:publishing-function 'org-html-publish-to-html
:section-numbers nil
+ :with-toc nil
:auto-sitemap t
:sitemap-title "blog posts"
:sitemap-filename "index.org"
diff --git a/build.sh b/build.sh
index c4467b9..1b8bcfd 100755
--- a/build.sh
+++ b/build.sh
@@ -1,2 +1,5 @@
#!/bin/sh
+
+# the build breaks without this file for whatever reason
+[ -f src/blog/index.org ] || touch src/blog/index.org
emacs -Q --script build-site.el
diff --git a/head.html b/head.html
index 9270d24..585bde9 100644
--- a/head.html
+++ b/head.html
@@ -1,2 +1,2 @@
-<link rel="icon" href="assets/favicon.ico">
-<link rel="stylesheet" href="assets/stylesheet.css">
+<link rel="icon" href="/assets/favicon.ico">
+<link rel="stylesheet" href="/assets/stylesheet.css">
diff --git a/post.sh b/post.sh
index 5c5613e..03de817 100755
--- a/post.sh
+++ b/post.sh
@@ -1,6 +1,12 @@
#!/bin/sh
+if [ ! -s API_KEY ]; then
+ echo "put ur api key in API_KEY pwetty pwease"
+ exit 1
+fi
+api=$(cat API_KEY)
./build.sh
+
tmpfile=$(mktemp)
tar -C public/ -cvz . > $tmpfile
trap "rm $tmpfile" EXIT
-curl --oauth2-bearer "$1" -Fcontent=@"$tmpfile" https://pages.sr.ht/publish/lemurianmage.srht.site
+curl --oauth2-bearer "$api" -Fcontent=@"$tmpfile" https://pages.sr.ht/publish/lemurianmage.srht.site